org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavascriptVmEmbedder.ConnectionToRemote

Enclosing interface:
  JavascriptVmEmbedder

    public static interface JavascriptVmEmbedder.ConnectionToRemote

First intermediate object that corresponds to already connected server. This does not refer to a particular Javascript VM though: the server may contain several VMs to choose from.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `disposeConnection()`
`JavascriptVmEmbedder.VmConnector` `selectVm()` This method performs selecting a particular Javascript VM.

### Method Detail

#### selectVm

    JavascriptVmEmbedder.VmConnector selectVm()
                                       throws CoreException

This method performs selecting a particular Javascript VM. This is likely to be a user-assisted activity, so this method may block indefinitely.

Returns:
  null if no VM has been chosen and we should cancel the operation
Throws:
  `CoreException`

#### disposeConnection

    void disposeConnection()